## bickley 0.4.4

=== debian/changelog ===
bickley (0.4.4-2) unstable; urgency=low

  * Update to DebSrc3 format
  * Use quilt to handle patches.
  * Add debian/patches/05_no-add-needed.patch: fix FTBFS with binutils-gold
    (Closes: #553966)
  * Cherry pick upstream patches
    - patches/04_detect_UPnP_server.patch
    - patches/04_fix_hornsey_show_audio_content_bug.patch
    - patches/04_fix_missing_inclusions_stdlib.h.patch
    - patches/04_make_cancellable.patch
    - patches/04_make_fully_cancellable.patch
  * Update copyright format to DEP-5 rev 166
  * Don't install *.la files

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 04 Mar 2011 23:27:49 +0800

bickley (0.4.4-1) unstable; urgency=low

  * New upstream release
  * Add debian/clean to clean non-source files
  * Modify debian/watch to scan git release
  * Modify 04_port_to_gupnp-0.13.patch for porting to gupnp 0.13

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 14 Dec 2009 21:27:21 +0800

bickley (0.4~git20091027.530ca354-1) unstable; urgency=low

  * New upstream version

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 09 Nov 2009 13:16:16 +0800

bickley (0.4~git20090814-3) unstable; urgency=low

  * Add debian/patches/03_add_PPC_ioprio.patch:
    - Enable PowerPC ioprio call
  * Add debian/patches/04_port_to_gupnp-0.13.patch:
    - Port to gupnp 0.13 (Closes: #549561)
  * debian/copyright: Update to newer spec
  * debian/control: Modify Build-Depends for gupnp 0.13

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 05 Oct 2009 03:23:26 +0800

bickley (0.4~git20090814-2) unstable; urgency=low

  * Move debian/patches/nocrash.patch to debian/patches/02_nocrash.patch
  * debian/patches/01_noWerror.patch
    - Don't do -Werror to fix FTBFS (Closes: #546308)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 14 Sep 2009 01:34:30 +0800

bickley (0.4~git20090814-1) unstable; urgency=low

  * Bill Filler <bill.filler@canonical.com>
    - no change rebuild to attempt to fix crashes
  * Chris Cheney <chris.cheney@canonical.com>
    - New upstream (bickley-0.4~20090724-4.1.moblin2.src.rpm)
    - New upstream release (Moblin Beta)
  * Michael Terry <michael.terry@canonical.com>
    - Add missing debian/copyright file
    - New upstream release (Moblin Beta)
    - debian/rules: change how autogen.sh gets called
    - debian/patches/nocrash.patch: add crash patch from Moblin packaging
  * Ying-Chun Liu (PaulLiu) <paul.liu@canonical.com>
    - New upstream release (0.2.0+20090414)
    - Fix some header files are not installed.
    - Fix pc files to include kozo path.
    - Fix dependencies of libkozo-dev and libbickley-dev.
    - Initial release. (Closes: #542180)
    - debian/copyright: change to machine-readable format
    - Add missing manpages
    - Add debian/watch to track upstream version

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 05 Sep 2009 15:24:53 +0800
