=== debian/control ===
Source: bickley
Section: libs
Priority: optional
Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Build-Depends: debhelper (>= 7), cdbs, libdbus-glib-1-dev, libexif-dev,
               libgconf2-dev, libglib2.0-dev, libgstreamer0.10-dev,
               libgtk2.0-dev, libgupnp-1.0-dev (>= 0.13.0),
               libgupnp-av-1.0-dev (>= 0.5),
               autoconf, automake, libtool, tdb-dev, docbook-to-man
Standards-Version: 3.9.1

Package: bickley-daemons
Section: utils
Architecture: any
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: bickley daemons for meta data management API and framework
 Bickley metadata system are made by two daemons: bkl-orbiter and
 bkl-investigator. Bkl-orbiter is always running and keeps track of various
 sources, watching for files on the sources that need to be indexed.
 When it has found something that needs extracting, the bkl-investigator is
 started and scans the file for metadata which it then sends to the orbiter.
 The orbiter puts this metadata into the database.

Package: libkozo0
Section: libs
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: kozo is a database abstraction around the TDB library
 Kozo uses TDB library to store database. The client should not need to know
 how libkozo has stored the data in the database.

Package: libkozo-dev
Section: libdevel
Priority: optional
Architecture: any
Depends: libkozo0 (= ${binary:Version}), libglib2.0-dev, ${shlibs:Depends}, ${misc:Depends}
Description: kozo is a database abstraction around the TDB library (dev)
 Kozo uses TDB library to store database. The client should not need to know
 how libkozo has stored the data in the database.
 .
 This package contains the development headers.

Package: libbickley-0.4-0
Section: libs
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: bickley is the client API which access the metadata
 Libbickley is the client API which allows clients to access the metadata
 in an higher level way. The core API allows storing and querying of URIs
 and associating key/value  pairs. The core bickley API in the libbickley
 library provides shared access to common meta-data storage. Different
 processes can access and manipulate the same set of URIs and meta data about
 them in parallel.

Package: libbickley-dev
Section: libdevel
Priority: optional
Architecture: any
Depends: libbickley-0.4-0 (= ${binary:Version}), libkozo-dev, libglib2.0-dev, ${shlibs:Depends}, ${misc:Depends}
Description: bickley is the client API which access the metadata (dev)
 Libbickley is the client API which allows clients to access the metadata
 in an higher level way. The core API allows storing and querying of URIs
 and associating key/value  pairs. The core bickley API in the libbickley
 library provides shared access to common meta-data storage. Different
 processes can access and manipulate the same set of URIs and meta data about
 them in parallel.
 .
 This package contains the development headers.

Package: bickley-daemons-dbg
Architecture: any
Section: debug
Priority: extra
Depends: bickley-daemons (= ${binary:Version}) | libbickley-0.4-0 (= ${binary:Version}) | libkozo0 (= ${binary:Version}), ${misc:Depends}
Description: bickley daemons for meta data management API and framework (debug)
 Bickley metadata system are made by two daemons: bkl-orbiter and
 bkl-investigator. Bkl-orbiter is always running and keeps track of various
 sources, watching for files on the sources that need to be indexed.
 When it has found something that needs extracting, the bkl-investigator is
 started and scans the file for metadata which it then sends to the orbiter.
 The orbiter puts this metadata into the database.
 .
 This package contains the debug symbols.
