=== debian/watch ===
version=3
opts=dversionmangle=s/.git.*// \
http://git.moblin.org/cgit.cgi/bickley/refs/tags \
         .*snapshot/bickley-([\d\.]*).tar.gz
opts=dversionmangle=s/.git.*// \
http://moblin.org/downloads/project/292 .*/bickley-([\d\.]+)\.tar\.gz
